ARCH        = OS
SHOBJ       = YES

include ../include/makeinclude/Makefile.$(ARCH)

APPNAME     = "Packet/Message Source"
CXXINCLUDES = -I./
LIBS        = $(CDEVLIBS) $(OSLIBS)
TARGETS     = $(BASEBIN)/cdevPacketTest $(BASEBIN)/sparsePacketTest

targets: $(TARGETS) 
	
$(BASEBIN)/cdevPacketTest: $(OBJDIR)/test.o $(OBJDIR)/cdevPacket.o $(OBJDIR)/cdevMessageBinary.o $(OBJDIR)/cdevMessage.o 
	$(LINK.cc) $^ -o $@ $(LIBS) 
	
$(BASEBIN)/sparsePacketTest: $(OBJDIR)/sparsePacketTest.o $(OBJDIR)/cdevPacket.o $(OBJDIR)/cdevMessageBinary.o $(OBJDIR)/cdevMessage.o 
	$(LINK.cc) $^ -o $@ $(LIBS) 

